package com.ywt.params.mg.order;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class PaymentOrderVo {

    @ApiModelProperty(value = "订单详情表id", example = "")
    private Integer id;

    @ApiModelProperty(value = "订单号", example = "")
    private String orderNo;

    @ApiModelProperty(value = "订单Id", example = "")
    private Integer goodsOrdersId;

    @ApiModelProperty(value = "取货方式", example = "")
    private Integer getChannel;

    @ApiModelProperty(value = "商品名称", example = "")
    private String goodsName;

    @ApiModelProperty(value = "商品Id", example = "")
    private Integer goodsId;

    @ApiModelProperty(value = "种类名称", example = "")
    private String typeName;

    @ApiModelProperty(value = "商品规格", example = "")
    private String spec;

    @ApiModelProperty(value = "商品价格", example = "")
    private Integer goodsPrice;

    @ApiModelProperty(value = "购买数量", example = "")
    private Integer goodsNumber;

    @ApiModelProperty(value = "购买总价", example = "")
    private Integer payAmount;

    @ApiModelProperty(value = "创建时间", example = "")
    private Date createTime;

    @ApiModelProperty(value = "支付时间", example = "")
    private Date paymentTime;

    @ApiModelProperty(value = "退费时间", example = "")
    private Date refundTime;

    private String groupBy;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getGoodsOrdersId() {
        return goodsOrdersId;
    }

    public void setGoodsOrdersId(Integer goodsOrdersId) {
        this.goodsOrdersId = goodsOrdersId;
    }

    public Integer getGetChannel() {
        return getChannel;
    }

    public void setGetChannel(Integer getChannel) {
        this.getChannel = getChannel;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public Integer getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(Integer goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public Integer getGoodsNumber() {
        return goodsNumber;
    }

    public void setGoodsNumber(Integer goodsNumber) {
        this.goodsNumber = goodsNumber;
    }

    public Integer getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Integer payAmount) {
        this.payAmount = payAmount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getGroupBy() {
        return groupBy;
    }

    public void setGroupBy(String groupBy) {
        this.groupBy = groupBy;
    }
}
